Name: gaim
Version: 0.59
Release: 0.2.1
Epoch: 1
License: GPL
Group: Applications/Internet
URL: http://www.marko.net/gaim/
Source: ftp://ftp.marko.net/pub/gaim/gaim-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: gtk+ >= 1.2.5
Summary: A GTK+ clone of the AOL Instant Messenger client.
Prereq: /sbin/ldconfig , gtk+ >= 1.2 , gnome-core >= 1.2
Requires: aspell
BuildRequires: gnome-core-devel >= 1.2.0
BuildRequires: gnome-libs-devel >= 1.2.0

%ifarch alpha ia64
%define screensaver_flags --disable-screensaver
%else
%define screensaver_flags %{nil}
%endif

%description
Gaim is a clone of America Online's Instant Messenger client. It
features nearly all of the functionality of the official AIM client
while also being smaller, faster, and commercial-free.

%prep
%setup -q

%build
%{configure} %{screensaver_flags}
make 

%install

%{configure} --disable-gnome --disable-artsc %{screensaver_flags}

make

if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi;

mkdir -p $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

make -C src mostlyclean-compile

%{configure} --enable-distrib --disable-artsc %{screensaver_flags}

make -C src gaim_applet

make DESTDIR=$RPM_BUILD_ROOT install

%find_lang %{name}

%post 
/sbin/ldconfig -n %{_libdir}/gaim

%postun
/sbin/ldconfig -n %{_libdir}/gaim

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc doc/the_penguin.txt doc/CREDITS NEWS COPYING AUTHORS doc/FAQ README ChangeLog plugins/PERL-HOWTO HACKING
%config %{_sysconfdir}/CORBA/servers/gaim_applet.gnorba
%{_bindir}/*
%{_libdir}/gaim
%{_mandir}/*/*
%{_datadir}/applets/Network/gaim_applet.desktop
%{_datadir}/gnome/apps/Internet/gaim.desktop
%{_datadir}/pixmaps/gaim.xpm
%{_datadir}/pixmaps/gaim/*

%changelog
* Tue Jul  2 2002 Chris Blizzard <blizzard@redhat.com>
- Disable screensaver support on alpha and ia64 since the library
  seems broken there

* Tue Jul  2 2002 Chris Blizzard <blizzard@redhat.com> 0.59-0
- Update to 0.59

* Wed May 22 2002 Christopher Blizzard <blizzard@redhat.com> 0.58-0
- Update to 0.58
- Include patch to make sure that the icon isn't corrupted at startup

* Fri Mar 22 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.53-1
- Langify

* Wed Mar 13 2002 Christopher Blizzard <blizzard@redhat.com>
- update 0.53

* Thu Feb 21 2002 Christopher Blizzard <blizzard@redhat.com>
- update to 0.52

* Tue Jan 29 2002 Christopher Blizzard <blizzard@redhat.com>
- update to 0.51

* Fri Sep 14 2001 Matt Wilson <msw@redhat.com>
- update to 0.43

* Fri Aug 03 2001 Christopher Blizzard <blizzard@redhat.com>
- Add BuildRequires for gnome-libs-devel (bug #44739)

* Mon Jul 02 2001 Christopher Blizzard <blizzard@redhat.com>
- Add BuildRequires for gnome-core-devel (bug #44739)

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Thu Feb 15 2001 Trond Eivind Glomsrd <teg@redhat.com>
- make it compile

* Sun Feb 11 2001 Tim Powers <timp@redhat.com>
- updated to 0.11.0pre4 (bug fixes)
- applied Bero's konqueror patch to fix kfm->konq

* Tue Dec  5 2000 Tim Powers <timp@redhat.com>
- updated to 0.11.0pre2
- enable gnome support
- updated ispell to aspell patch
- cleaned up file list

* Thu Nov 16 2000 Tim Powers <timp@redhat.com>
- updated to 0.10.3

* Fri Nov 10 2000 Tim Powers <timp@redhat.com> 
- update to 0.10.2

* Mon Sep 11 2000 Tim Powers <timp@redhat.com>
- some ideas taken from the package available at the gaim website, mainly to install the applet stuff too.

* Wed Aug 9 2000 Tim Powers <timp@redhat.com>
- added Serial so that we can upgrade from Helix packages from 6.2

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Tue Jul 18 2000 Tim Powers <timp@redhat.com>
- changed default spell checker to aspell from ispell, patched.
- requires aspell

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jun 22 2000 Tim Powers <timp@redhat.com>
- fixed problems with ldconfig PreReq, shouls have been /sbin/ldconfig

* Mon Jun 12 2000 Preston Brown <pbrown@redhat.com>
- 0.9.19
- fix ldconfig stuff

* Thu Jun 1 2000 Tim Powers <timp@redhat.com>
- cleaned up spec for use with RPM 4.0 (al la _sysconfdir _datadir etc)
- update to 0.9.17
- yay! a man page!

* Thu May 25 2000 Tim Powers <timp@redhat.com>
- we left a bunch of stuff out, pixmaps, plugins. Fixed
- added applnk entry

* Wed May 10 2000 Tim Powers <timp@redhat.com>
- updated to 0.9.15

* Mon Apr 24 2000 Matt Wilson <msw@redhat.com>
- updated to 0.9.14

* Mon Apr 24 2000 Matt Wilson <msw@redhat.com>
- updated to 0.9.13

* Thu Feb 10 2000 Matt Wilson <msw@redhat.com>
- added patch to prevent floating point errors in lag-o-meter update
  code

* Wed Nov 10 1999 Tim Powers <timp@redhat.com>
- updated to 0.9.10

* Tue Jul 13 1999 Tim Powers <timp@redhat.com>
- rebuilt and put into Powertools 6.1

* Mon Jul 12 1999 Dale Lovelace <dale@redhat.com>
- First RPM Build
